Subject: Re: Wishlist: git fetch --reference

From: Jeff King <[email-masked]>
Date: Fri, 22 Aug 2014 00:20:57 -0400

On Thu, Aug 21, 2014 at 07:57:47PM -0700, Howard Chu wrote:

> I maintain multiple copies of the same repo because I keep each one checked
> out to different branch/rev levels. It would be nice if, similar to clone
> --reference, we could also use git fetch --reference to reference a local
> repo when doing a fetch to pull in updates.

I think it is just spelled:

  echo $reference_repo >>.git/objects/info/alternates
  git fetch

We need "--reference" with clone because that first line needs to happen
after clone runs "git init" but before it runs "git fetch". And if you
cloned with --reference, of course, the alternates file remains and
further fetches will automatically use it.

-Peff